GET
Gets a list of recommendations associated with the specified web site.
https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{siteName}/recommendationsAccess Token Required: API Key
Path Parameters
resourceGroupNamestringrequired
Resource group name
siteNamestringrequired
Site name
Query Params
featuredstring
If set, this API returns only the most critical recommendation among the others. Otherwise this API returns all recommendations available
siteSkustring
The name of site SKU.
numSlotsstring
The number of site slots associated to the site
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'https://azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{siteName}/recommendations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}